#include "meminfo.h"
#include <plasma/dataenginemanager.h>
#include <QPainter>
#include <QFontMetrics>
#include <QSizeF>
#include <QFile>
#include <QByteArray>
#include <QString>
 
#include <plasma/svg.h>
#include <plasma/theme.h>
 
MemInfo::MemInfo(QObject *parent, const QVariantList &args)
    : Plasma::Applet(parent, args),
    m_svg()
{
    resize(180, 60);
 } 
 
 MemInfo::~MemInfo()
{
}
 
void MemInfo::init()
{
//    Plasma::DataEngineManager dem;
    //dataengine = dem.loadEngine("testde");
    //dataengine = dem.loadDataEngine("testde");
    //dataengine->connectSource("MemFree", this, 1000);
   dataEngine("testde")->connectSource("MemFree", this, 1000);
   dataEngine("testde")->connectSource("Buffers", this, 1000);
} 

void MemInfo::dataUpdated(const QString &name, const Plasma::DataEngine::Data &data) 
{
    m_mf = data.value("MemFree", m_mf).toString();
    m_bs = data.value("Buffers", m_bs).toString();
    update();
}
 
void MemInfo::paintInterface(QPainter *p, const QStyleOptionGraphicsItem *option, const QRect &contentsRect)
{
    p->setRenderHint(QPainter::SmoothPixmapTransform);
    p->setRenderHint(QPainter::Antialiasing);
    m_svg.resize((int)contentsRect.width(), (int)contentsRect.height());
    m_svg.paint(p, (int)contentsRect.left(), (int)contentsRect.top());
    p->save();
    p->setPen(Qt::black);
    p->drawText(contentsRect, Qt::AlignTop | Qt::AlignLeft, m_mf + '\n' + m_bs);
    p->restore();
}

#include "meminfo.moc"
