#ifndef _MEMINFO_H_
#define _MEMINFO_H_

#include <QtCore>
#include <plasma/applet.h>
#include <plasma/dataengine.h>
#include <plasma/svg.h>
 
class QSizeF;
 
class MemInfo : public Plasma::Applet
{
    Q_OBJECT
    public:
        MemInfo(QObject *parent, const QVariantList &args);
        ~MemInfo();
 
        void paintInterface(QPainter *painter,
                const QStyleOptionGraphicsItem *option,
                const QRect& contentsRect);
	void init();
	void setPath(const QString &s);
    public slots:
       void dataUpdated(const QString &name, const Plasma::DataEngine::Data &data);
    private:
        QString m_mf, m_bs;
        Plasma::DataEngine * dataengine;
        Plasma::Svg m_svg;
};

K_EXPORT_PLASMA_APPLET(meminfo, MemInfo)

#endif 